令人不得不不求甚解的版本

作者: Jas / 發表於 2009-02-05

不知道有沒有人曾經認真想過「版本」這個東西到底有多令人討厭呢?

最近,開始有點不耐煩於:似乎耗費過多時間在解決網頁始終在IE6出錯的問題。

於是,很難免地開始想起「版本」這個東西。

「版本」真是個很討人厭的東西。

就我為網頁進行CSS除錯的例子來說,先別提IE有6、7、8三種主要版本,光是我自己的作業系統就有Vista跟XP兩種版本。

早先為了兼容性的問題,找到兩個作業系統都能運作無誤的IE Tester作為測試IE6的除錯輔助工具。沒想到,幾天前IE Tester突然怎麼都無法以IE6進行測試。

情急之下,只得重新找回只能裝在XP上的Multiple IE來用。於是,整個測試除錯環境變成:Vista底下的IE7、FF3、FF2 Portable、Chrome、Opera、Safari、IE Tester,加上XP底下的IE7、FF3、FF2 Portable、Chrome、Opera、Safari、IE Tester以及Multiple IE。

偶爾像這樣在各個版本間切換到麻木時,總會覺得那可能出在CSS1、CSS2或CSS3的歧異差錯,就好像Adobe Photoshop自從CS以後,就讓人很難搞懂它的版本一樣,滿心只求一個與設計初衷失真最小的結果,而根本不想去知道它的運作邏輯真相到底是什麼。





回上方